package com.bonus.hn.bearing.capacity.backstage.subteam.dao;

import com.bonus.hn.bearing.capacity.backstage.companypro.entity.TreeBean;
import com.bonus.hn.bearing.capacity.backstage.subteam.entity.SubTeamBean;
import org.springframework.stereotype.Repository;

import java.util.List;
/**
 * @author bonus
 */
@Repository(value = "SubTeamDao")
public interface SubTeamDao {
    List<SubTeamBean> getSubTeamsList(SubTeamBean o);

    List<SubTeamBean> getSubTeamsFormList(SubTeamBean o);

    List<SubTeamBean> getSubTeamNum(SubTeamBean o);

    List<SubTeamBean> getTeamsList(SubTeamBean o);

    int determineIfExists(SubTeamBean bean);

    int insertTmTeamSub(SubTeamBean bean);

    int insertTmTeamPerson(SubTeamBean b);

    void updateSubTeam(SubTeamBean bean);

    int updateTeamPerson(SubTeamBean b);

    List<TreeBean> getSubProTree(TreeBean o);

    int bindProTeam(SubTeamBean bean);

    int unBindProTeam(SubTeamBean bean);

    int updateStatus(SubTeamBean bean);

    int delSubTeamTeamById(SubTeamBean bean);

    int delSubTeamPersonById(SubTeamBean bean);

    List<SubTeamBean> getSubcontractaList(SubTeamBean o);

    int delSubcontractById(SubTeamBean bean);

    int addSubcontract(SubTeamBean bean);

    int deteName(SubTeamBean bean);

    int upSubcontract(SubTeamBean bean);

    List<SubTeamBean> getTowerBindList(SubTeamBean o);

    int bindTowerBindTeam(SubTeamBean bean);

    int unbindTowerBindTeam(SubTeamBean bean);

    List<SubTeamBean> getdata1Map(SubTeamBean o);

    List<SubTeamBean>  getdata2Map(SubTeamBean o);

    int bindTowerSubcon(SubTeamBean bean);

    int delbindTowerSubcon(SubTeamBean i);

    List<TreeBean> getTowerProTree(TreeBean o);

    List<SubTeamBean> getSubPersonList(SubTeamBean o);

    int updateSubTeamStatus(SubTeamBean bean);

    int getIsExistOtherRelation(SubTeamBean bean);
}
